ghc-7.0.3: The GHC API

PPC.CodeGen

Synopsis

- cmmTopCodeGen :: DynFlags -> RawCmmTop -> NatM [NatCmmTop Instr]
- type InstrBlock = OrdList Instr

# Documentation

cmmTopCodeGen :: DynFlags -> RawCmmTop -> NatM [NatCmmTop Instr]

`InstrBlock`s are the insn sequences generated by the insn selectors. They are really trees of insns to facilitate fast appending, where a left-to-right traversal (pre-order?) yields the insns in the correct order.

type InstrBlock = OrdList Instr

`InstrBlock`s are the insn sequences generated by the insn selectors. They are really trees of insns to facilitate fast appending, where a left-to-right traversal yields the insns in the correct order.